# PrintStream

package | phing

### Methods

## __construct

    __construct(\OutputStream $out, boolean $autoFlush = false)

### Arguments

#### $out

`\OutputStream`

#### $autoFlush

`boolean`

## newLine

    newLine()

## println

    println(mixed $value)

### Arguments

#### $value

`mixed`

## prints

    prints(mixed $value)

### Arguments

#### $value

`mixed`

## write

    write(string $buf, integer $off = null, integer $len = null)

### Arguments

#### $buf

`string`

#### $off

`integer`

#### $len

`integer`

### Properties

## autoFlush

    autoFlush : boolean

var |

### Type(s)

`boolean`

## textOut

    textOut : \BufferedWriter

var |

### Type(s)

`\BufferedWriter`

## out

    out : \OutputStream

var |

### Type(s)

`\OutputStream`